Bug 1025058 - Review Request: python-flask-images - Dynamic image resizing for Flask
Review Request: python-flask-images - Dynamic image resizing for Flask
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 17:38 EDT by Alex Irmel Oviedo Solis
Modified: 2013-11-20 23:39 EST (History)
4 users (show)

See Also:
Fixed In Version: python-flask-images-1.0.0-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 16:54:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Irmel Oviedo Solis 2013-10-30 17:38:39 EDT
Spec URL: http://alexove.fedorapeople.org/rpmbuild/SPECS/python-flask-images.spec

SRPM URL: http://alexove.fedorapeople.org/rpmbuild/SRPMS/python-flask-images-1.0.0-1.fc20.src.rpm

Description:

This extension adds a resized_img_src function to the template context, which
creates a URL to dynamically resize an image. This function takes either a path
to a local image (either absolute, or relative to the IMAGES_PATH) or an URL to
a remote image, and returns a URL that will serve a resized version on demand

Fedora Account System Username: alexove
Comment 1 Christopher Meng 2013-10-30 22:26:56 EDT
Remove:

rm -rf $RPM_BUILD_ROOT

--------


# For noarch packages: sitelib
%{python_sitelib}/*

Well, I think you should recite it...Is it worth a comment here? ;)

BTW, 
%{python_sitelib}

--->

%{python2_sitelib}
Comment 2 Christopher Meng 2013-10-30 22:29:54 EDT
And, you didn't include python3 support in the SPEC.
Comment 3 Alex Irmel Oviedo Solis 2013-10-30 22:55:43 EDT
Christopher Meng, i just updated my SPEC and my SRPM in the same location :-)
Comment 4 Eduardo Echeverria 2013-10-31 01:12:43 EDT
No, you must bump the release number and do a comment in the changelog with the spec changes
Comment 5 Eduardo Echeverria 2013-10-31 01:38:48 EDT
@Alex 

Some requires are missing

[echevemaster@echevemaster Flask-Images-1.0.0]$ grep -ri "import"
setup.py:from distutils.core import setup
flask_images.py:from __future__ import division
flask_images.py:import math
flask_images.py:import os
flask_images.py:import logging
flask_images.py:from cStringIO import StringIO
flask_images.py:import datetime
flask_images.py:import hashlib
flask_images.py:import sys
flask_images.py:import base64
flask_images.py:import struct
flask_images.py:from urlparse import urlparse
flask_images.py:from urllib2 import urlopen
flask_images.py:from urllib import urlencode
flask_images.py:from subprocess import call
=> flask_images.py:import Image as image (python-pillow since F19 and python-imaging < F18) 

Can you do this
%if 0%{?fedora} >= 19
Requires:      python-pillow
%else
Requires: python-imaging
%endif


flask_images.py:from flask import request, current_app, send_file, abort
=> flask_images.py:from itsdangerous import Signer, constant_time_compare (python-itsdangerous)

License field is wrong should be just BSD

- Remove the superflous comments
Comment 7 Eduardo Echeverria 2013-11-06 00:22:01 EST
Welcome to the packages maintainers group :)

Please fix typo in before importing

%if 0%{?fedora} >= 19
Requires:       python-pillow
%else
* requires:       python-imaging <== Capitalize first letter

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/echevemaster/test-packages-fedora/1025058-python-
     flask-images/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-flask-images-1.0.0-3.fc21.noarch.rpm
          python-flask-images-1.0.0-3.fc21.src.rpm
python-flask-images.noarch: W: spelling-error Summary(en_US) resizing -> residing, re sizing, re-sizing
python-flask-images.noarch: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
python-flask-images.noarch: W: spelling-error %description -l en_US img -> mg, imp, i mg
python-flask-images.noarch: W: spelling-error %description -l en_US src -> arc, sec, sic
python-flask-images.noarch: W: spelling-error %description -l en_US resize -> reside, re size, re-size
python-flask-images.src: W: spelling-error Summary(en_US) resizing -> residing, re sizing, re-sizing
python-flask-images.src: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
python-flask-images.src: W: spelling-error %description -l en_US img -> mg, imp, i mg
python-flask-images.src: W: spelling-error %description -l en_US src -> arc, sec, sic
python-flask-images.src: W: spelling-error %description -l en_US resize -> reside, re size, re-size
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-flask-images
python-flask-images.noarch: W: spelling-error Summary(en_US) resizing -> residing, re sizing, re-sizing
python-flask-images.noarch: W: spelling-error %description -l en_US resized -> resided, re sized, re-sized
python-flask-images.noarch: W: spelling-error %description -l en_US img -> mg, imp, i mg
python-flask-images.noarch: W: spelling-error %description -l en_US src -> arc, sec, sic
python-flask-images.noarch: W: spelling-error %description -l en_US resize -> reside, re size, re-size
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-flask-images (rpmlib, GLIBC filtered):
    python(abi)
    python-flask
    python-itsdangerous
    python-pillow



Provides
--------
python-flask-images:
    python-flask-images



Source checksums
----------------
https://pypi.python.org/packages/source/F/Flask-Images/Flask-Images-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9074bfe928be6ee14a104b2a958143877fa9ff8fdf7d42c4c49a6628245bb241
  CHECKSUM(SHA256) upstream package : 9074bfe928be6ee14a104b2a958143877fa9ff8fdf7d42c4c49a6628245bb241



PACKAGE APPROVED

Follow the process from:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Comment 8 Alex Irmel Oviedo Solis 2013-11-06 11:08:50 EST
New Package SCM Request
=======================
Package Name: python-flask-images
Short Description: Dynamic image resizing for Flask
Owners: alexove echevemaster
Branches: f18 f19 f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-11-06 12:07:31 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-09 16:34:00 EST
python-flask-images-1.0.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-flask-images-1.0.0-3.fc20
Comment 11 Fedora Update System 2013-11-09 16:42:07 EST
python-flask-images-1.0.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-images-1.0.0-3.fc19
Comment 12 Fedora Update System 2013-11-09 16:54:35 EST
python-flask-images-1.0.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-flask-images-1.0.0-3.fc18
Comment 13 Fedora Update System 2013-11-10 21:29:22 EST
python-flask-images-1.0.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2013-11-19 16:54:36 EST
python-flask-images-1.0.0-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2013-11-20 23:33:36 EST
python-flask-images-1.0.0-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-11-20 23:39:04 EST
python-flask-images-1.0.0-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.